POST/ deal-loss-reasons/
Create deal loss reason
You add a deal loss reason.
Attributes
Optional unless marked required
- reason
- A reason for a lost deal.
Request
- cURL
- JavaScript
- PHP
- Python
curl -X POST "https://<your_app_subdomain>.user.com/api/public/deal-loss-reasons/" \
-H "Authorization: Token <your_64_char_api_key>" \
-H "Accept: */*; version=2" \
-H "Content-Type: application/json" \
-d '{
"reason": "Chose another vendor"
}'
const response = await fetch(
"https://<your_app_subdomain>.user.com/api/public/deal-loss-reasons/",
{
method: "POST",
headers: {
Authorization: "Token <your_64_char_api_key>",
Accept: "*/*; version=2",
"Content-Type": "application/json",
},
body: JSON.stringify({
reason: "Chose another vendor",
}),
},
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/deal-loss-reasons/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Token <your_64_char_api_key>",
"Accept: */*; version=2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => json_encode([
"reason" => "Chose another vendor",
]),
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
import requests
response = requests.post(
"https://<your_app_subdomain>.user.com/api/public/deal-loss-reasons/",
headers={
"Authorization": "Token <your_64_char_api_key>",
"Accept": "*/*; version=2",
},
json={
"reason": "Chose another vendor",
},
)
print(response.json())
Response examples
- 201 Created
{
"id": 5,
"reason": "my custom reason"
}
Response fields
Fields returned in the 201 Created response body.
- id
- A unique identifier for the deal which is given by User automatically.
- reason
- A reason for a lost deal.
note
Errors that can come from any endpoint (401, 429, 500, 502, 504) are described in HTTP response codes.